{
    attributes = (
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IDIPL_NUMERO; 
            externalType = NUMBER; 
            name = idiplNumero; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IMFO_FORMULE1; 
            externalType = VARCHAR2; 
            name = imfoFormule1; 
            valueClassName = NSString; 
            width = 500; 
        }, 
        {
            allowsNull = Y; 
            columnName = IMFO_FORMULE2; 
            externalType = VARCHAR2; 
            name = imfoFormule2; 
            valueClassName = NSString; 
            width = 500; 
        }, 
        {
            columnName = IMFO_SEMESTRE; 
            externalType = NUMBER; 
            name = imfoSemestre; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MREC_KEY; 
            externalType = NUMBER; 
            name = mrecKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (idiplNumero, mrecKey, imfoSemestre); 
    className = EOGenericRecord; 
    classProperties = (
        idiplNumero, 
        mrecKey, 
        imfoFormule1, 
        imfoFormule2, 
        fannKey, 
        toScolFormationAnnee, 
        toScolInscriptionEtudiant, 
        toScolMaquetteRepartitionEc, 
        imfoSemestre
    ); 
    externalName = SCOL_INSCRIPTION_EC_FORMULE; 
    fetchSpecificationDictionary = {}; 
    name = ScolInscriptionEcFormule; 
    primaryKeyAttributes = (idiplNumero, mrecKey, imfoSemestre); 
    relationships = (
        {
            destination = ScolFormationAnnee; 
            internalInfo = {_nameInObjectStore = scolFormationAnnee; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolInscriptionEtudiant; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = fannKey; sourceAttribute = fannKey; }, 
                {destinationAttribute = idiplNumero; sourceAttribute = idiplNumero; }
            ); 
            name = toScolInscriptionEtudiant; 
        }, 
        {
            destination = ScolMaquetteRepartitionEc; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mrecKey; sourceAttribute = mrecKey; }); 
            name = toScolMaquetteRepartitionEc; 
        }
    ); 
}
